import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

//发票回票列表
export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}hpinvreturnlist`, { data });
};

//发票回票添加
export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}hpinvreturn`, { data });
};

//发票回票审核状态
export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}hpinvreturnstatus`, { data });
};

//发票回票详情
export const httpInfo = (data: object): any => {
  return http.request("post", `${yewuApi}hpinfo`, { data });
};

export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}hpinvreturninfo`, { data });
};

//发票回票删除
export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}invdel`, { data });
};
